"""empty message

Revision ID: c21685194078
Revises: 49952fde9c90
Create Date: 2021-04-07 16:06:37.144697

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c21685194078'
down_revision = '49952fde9c90'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('subscription_versions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('plan_id', sa.String(length=30), nullable=False),
    sa.Column('subscription_id', sa.Integer(), nullable=False),
    sa.Column('start_effective_date', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.Column('end_effective_date', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.ForeignKeyConstraint(['plan_id'], ['plans.id'], ),
    sa.ForeignKeyConstraint(['subscription_id'], ['subscriptions.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('subscriptions', sa.Column('activation_date', sa.TIMESTAMP(timezone=True), nullable=True))
    op.add_column('subscriptions', sa.Column('expiry_date', sa.TIMESTAMP(timezone=True), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('subscription_versions')
    # ### end Alembic commands ###
